Bug 1298960 - [abrt] WARNING: CPU: 2 PID: 134 at drivers/gpu/drm/i915/intel_dp.c:854 intel_dp_aux_ch+0x114/0x6a0 [i915]() [i915]
[abrt] WARNING: CPU: 2 PID: 134 at drivers/gpu/drm/i915/intel_dp.c:854 intel_...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:20d4d92490268a9b791170698cd...
:
: 1305030 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-15 09:19 EST by Dagan McGregor
Modified: 2016-12-20 12:55 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:55:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (79.98 KB, text/plain)
2016-01-15 09:19 EST, Dagan McGregor
no flags Details

  None (edit)
Description Dagan McGregor 2016-01-15 09:19:14 EST
Description of problem:
Happened during boot sequence

Additional info:
reporter:       libreport-2.6.3
WARNING: CPU: 2 PID: 134 at drivers/gpu/drm/i915/intel_dp.c:854 intel_dp_aux_ch+0x114/0x6a0 [i915]()
dp_aux_ch not started status 0xad40001f
Modules linked in: rtsx_usb_sdmmc mmc_core rtsx_usb nouveau i915 mxm_wmi ttm crct10dif_pclmul 8021q crc32_pclmul crc32c_intel garp stp i2c_algo_bit llc drm_kms_helper mrp serio_raw drm r8169 mii i2c_hid wmi video fjes
CPU: 2 PID: 134 Comm: kworker/u16:4 Not tainted 4.3.3-300.fc23.x86_64 #1
Hardware name: Acer Aspire VN7-792G/Aspire VN7-792G, BIOS V1.03 10/15/2015
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 000000003bd375d3 ffff8804ac8d35d0 ffffffff813a626f
 ffff8804ac8d3618 ffff8804ac8d3608 ffffffff810a07c2 00000000ad40001f
 0000000000064010 0000000000064014 ffff8804ab330000 0000000000000005
Call Trace:
 [<ffffffff813a626f>] dump_stack+0x44/0x55
 [<ffffffff810a07c2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a085c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa01e94f4>] intel_dp_aux_ch+0x114/0x6a0 [i915]
 [<ffffffff810e2370>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa01e9b55>] intel_dp_aux_transfer+0xd5/0x1e0 [i915]
 [<ffffffffa00ccd04>] drm_dp_dpcd_access+0x64/0x110 [drm_kms_helper]
 [<ffffffffa00ccecb>] drm_dp_dpcd_write+0x1b/0x20 [drm_kms_helper]
 [<ffffffffa01ebe7e>] intel_dp_sink_dpms+0x9e/0xe0 [i915]
 [<ffffffffa01e098f>] intel_ddi_post_disable+0x17f/0x1e0 [i915]
 [<ffffffffa01ba387>] haswell_crtc_disable+0x137/0x2f0 [i915]
 [<ffffffffa01c2ea7>] intel_atomic_commit+0x127/0x13c0 [i915]
 [<ffffffffa007f3b5>] ? drm_atomic_check_only+0x215/0x540 [drm]
 [<ffffffffa007f717>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00d49ef>] drm_atomic_helper_set_config+0x1bf/0x420 [drm_kms_helper]
 [<ffffffffa006ef42>] drm_mode_set_config_internal+0x62/0x100 [drm]
 [<ffffffffa00d7873>] restore_fbdev_mode+0xb3/0x110 [drm_kms_helper]
 [<ffffffffa00d9735>] drm_fb_helper_restore_fbdev_mode_unlocked+0x25/0x70 [drm_kms_helper]
 [<ffffffffa00d97ad>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01d99ba>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81415f10>] fbcon_init+0x570/0x5f0
 [<ffffffff8149576a>] visual_init+0xca/0x130
 [<ffffffff81497601>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff81497b19>] do_take_over_console+0x149/0x1a0
 [<ffffffff81411d97>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81416988>] fbcon_event_notify+0x658/0x750
 [<ffffffff810bfc8a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810bffc7>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810bfff6>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8141c5db>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff8141e91f>] register_framebuffer+0x20f/0x350
 [<ffffffffa00d9a2f>] drm_fb_helper_initial_config+0x25f/0x400 [drm_kms_helper]
 [<ffffffffa01da43b>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c171a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810b8cde>] process_one_work+0x19e/0x3f0
 [<ffffffff810b8f7e>] worker_thread+0x4e/0x450
 [<ffffffff810b8f30>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bede8>] kthread+0xd8/0xf0
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8178199f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160

Potential duplicate: bug 1180097
Comment 1 Dagan McGregor 2016-01-15 09:19:23 EST
Created attachment 1115169 [details]
File: dmesg
Comment 2 Falk Alexander 2016-01-25 08:36:58 EST
Description of problem:
The whole system is freezing, and sound is stopping or repeating.
This happens according to my experience with OpenGL applications like games. For me, the crash occurs when playing Minetest, Xonotic, Tesseract (all OpenGL games, only Tesseract not from the Fedora repositories).
Happened after playing about 10 minutes, sometimes immediately after the start of the game.

Intel® HD Graphics 520 (Skylake GT2)
Intel® Core™ i7-6500U

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.3
cmdline:        BOOT_IMAGE=/vmlinuz-4.3.3-301.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=de_DE.UTF-8
kernel:         4.3.3-301.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 77 at drivers/gpu/drm/i915/intel_dp.c:854 intel_dp_aux_ch+0x114/0x6a0 [i915]()
dp_aux_ch not started status 0xad40001f
Modules linked in: i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper serio_raw drm r8169 rtsx_pci mii i2c_hid video fjes
CPU: 1 PID: 77 Comm: kworker/u8:1 Not tainted 4.3.3-301.fc23.x86_64 #1
Hardware name: TUXEDO N24_25JU/N24_25JU, BIOS 5.11 10/13/2015
Workqueue: events_unbound async_run_entry_fn
 0000000000000000 00000000d3dfa7d9 ffff88045defb5a0 ffffffff813a626f
 ffff88045defb5e8 ffff88045defb5d8 ffffffff810a07c2 00000000ad40001f
 0000000000064010 0000000000064014 ffff88045c440000 0000000000000005
Call Trace:
 [<ffffffff813a626f>] dump_stack+0x44/0x55
 [<ffffffff810a07c2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a085c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa01c8534>] intel_dp_aux_ch+0x114/0x6a0 [i915]
 [<ffffffff810e2370>] ? wake_atomic_t_function+0x70/0x70
 [<ffffffffa01c8b95>] intel_dp_aux_transfer+0xd5/0x1e0 [i915]
 [<ffffffffa0185fd7>] ? gen9_read32+0xf7/0x2d0 [i915]
 [<ffffffff81780809>] ? schedule_hrtimeout_range_clock+0x19/0x40
 [<ffffffffa00e9d04>] drm_dp_dpcd_access+0x64/0x110 [drm_kms_helper]
 [<ffffffffa00e9ecb>] drm_dp_dpcd_write+0x1b/0x20 [drm_kms_helper]
 [<ffffffffa01cae6d>] intel_dp_sink_dpms+0x4d/0xe0 [i915]
 [<ffffffffa01bf2d5>] intel_ddi_pre_enable+0x105/0x320 [i915]
 [<ffffffffa01a653b>] haswell_crtc_enable+0x40b/0xb90 [i915]
 [<ffffffffa01a1c01>] ? intel_display_port_power_domain+0x61/0xa0 [i915]
 [<ffffffffa01a215b>] intel_atomic_commit+0x39b/0x13c0 [i915]
 [<ffffffffa0079405>] ? drm_atomic_check_only+0x215/0x540 [drm]
 [<ffffffffa0079767>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00f19ef>] drm_atomic_helper_set_config+0x1bf/0x420 [drm_kms_helper]
 [<ffffffffa0068f92>] drm_mode_set_config_internal+0x62/0x100 [drm]
 [<ffffffffa00f4873>] restore_fbdev_mode+0xb3/0x110 [drm_kms_helper]
 [<ffffffffa00f6735>] drm_fb_helper_restore_fbdev_mode_unlocked+0x25/0x70 [drm_kms_helper]
 [<ffffffffa00f67ad>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01b89fa>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81415f10>] fbcon_init+0x570/0x5f0
 [<ffffffff8149575a>] visual_init+0xca/0x130
 [<ffffffff814975f1>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff81497b09>] do_take_over_console+0x149/0x1a0
 [<ffffffff81411d97>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81416988>] fbcon_event_notify+0x658/0x750
 [<ffffffff810bfc8a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810bffc7>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810bfff6>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8141c5db>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff8141e91f>] register_framebuffer+0x20f/0x350
 [<ffffffffa00f6a2f>] drm_fb_helper_initial_config+0x25f/0x400 [drm_kms_helper]
 [<ffffffffa01b947b>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c171a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810b8cde>] process_one_work+0x19e/0x3f0
 [<ffffffff810b8f7e>] worker_thread+0x4e/0x450
 [<ffffffff810b8f30>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bede8>] kthread+0xd8/0xf0
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff8178195f>] ret_from_fork+0x3f/0x70
 [<ffffffff810bed10>] ? kthread_worker_fn+0x160/0x160
Comment 3 Dagan McGregor 2016-02-05 06:33:01 EST
*** Bug 1305030 has been marked as a duplicate of this bug. ***
Comment 4 Dagan McGregor 2016-02-05 06:41:32 EST
Still happens testing the new kernel 4.3.5.300.fc23.x86_64
Comment 5 Dagan McGregor 2016-02-27 20:13:34 EST
I updated to the 4.4.2 kernel in updates-testing and these errors seem to have stopped.
Comment 6 Fedora End Of Life 2016-11-24 09:58:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 12:55:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.